package cokr.xit.fims;

import org.springframework.stereotype.Component;

import cokr.xit.base.syslog.ServiceLog;
import cokr.xit.base.syslog.service.bean.LogFilter;

/**FIMS 서비스 로그 필터
 * @author mjkhan
 */
@Component("logFilter")
public class FimsLogFilter extends LogFilter {
	private String[] ignore = {
		"login.do", "logout.do",
		"/user/", "/authority/", "/code/", "/menu/", "/syslog/", "/error/",
		"/stat/stat01/010/info.do"
	};

	@Override
	protected boolean customFilter(ServiceLog log) {
		switch (log.getType()) {
		case ServiceLog.LOG_INOUT:
		case ServiceLog.DOWNLOAD: return true;
		case ServiceLog.WEB:
			String url = blankIfEmpty(log.getUrl());
			for (String str: ignore) {
				if (url.contains(str))
					return false;
			}
			if ("modifySvg".equals(log.getMethodName()))
				return false;

			return true;
		default: return false;
		}
	}
}